Subject: Re: bug#25360: File mode specification errors during building

From: Glenn Morris <[email-masked]>
Date: Wed, 22 Feb 2017 14:08:06 -0500

Phillip Lord wrote:

> These warnings will only occur during a full bootstrap.

IMO that's the only way to do a proper build with informative warnings.

> So just switching the warnings off during bootstrap would solve the
> problem.

But then we can't spot when a "real" warning appears.

> But this is also unsatisfying in other ways, and probably more
> unsatisfying that just having ldefs-boot.el as before.

Agreed.

> I have thought about the awk solution also. This seems to me to be
> pretty hard, simply because the rules for doing autoloads are
> complicated.

Agreed.

> At this point, though, I have to admit that I am leaning toward just
> reverting.

I feel the same. I don't think the old system was causing any problems.